Bug 1001088 - Disable or remove display devices we won't support
Disable or remove display devices we won't support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On: 1001216
Blocks: 720747
  Show dependency treegraph
 
Reported: 2013-08-26 09:12 EDT by Markus Armbruster
Modified: 2014-06-17 23:34 EDT (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-15.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:09:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2013-08-26 09:12:39 EDT
Description of problem:
The following block devices should be removed or made unavailable with -device / device_add:

name "isa-cirrus-vga", bus ISA
name "isa-vga", bus ISA

How reproducible:
Always

Steps to Reproduce:
1. for X in the above devices: -device X

Actual results:
-device X is accepted

Expected results:
-device X is rejected, just like -device nonexistant

Additional info:
Equally unwanted vmware-svga is tracked seperately (bug 921971).
Comment 2 Miroslav Rezanina 2013-11-07 03:22:53 EST
Fix included in qemu-kvm-1.5.3-15.el7
Comment 4 mazhang 2013-11-20 07:23:16 EST
Reproduce this bug with qemu-kvm-common-1.5.3-14.el7.x86_64

host:
qemu-kvm-common-1.5.3-14.el7.x86_64
qemu-img-1.5.3-14.el7.x86_64
qemu-kvm-tools-1.5.3-14.el7.x86_64
libvirt-daemon-driver-qemu-1.1.1-12.el7.x86_64
qemu-kvm-1.5.3-14.el7.x86_64

steps:
1 List qemu-kvm device name.
 #/usr/libexec/qemu-kvm -device ?

2 Run following command line
 #/usr/libexec/qemu-kvm -device isa-vga -monitor stdio
 #/usr/libexec/qemu-kvm -device isa-cirrus-vga -monitor stdio

result:
1 Got following in device list.
name "isa-vga", bus ISA
name "isa-cirrus-vga", bus ISA

2 qemu-kvm accepted isa-vga and isa-cirrus-vga device.
# /usr/libexec/qemu-kvm -device isa-vga -monitor stdio
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) VNC server running on `::1:5900'

# /usr/libexec/qemu-kvm -device isa-cirrus-vga -monitor stdio
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) VNC server running on `::1:5900'



Verify this bug with qemu-kvm-1.5.3-14.el7.x86_64

steps same as reproduce.

result:
1 Not found isa-vga and isa-cirrus-vga in device list.

2 isa-vga and isa-cirrus-vga is rejected
# /usr/libexec/qemu-kvm -device isa-vga -monitor stdio
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) qemu-kvm: -device isa-vga: Parameter 'driver' expects device type

# /usr/libexec/qemu-kvm -device isa-cirrus-vga -monitor stdio
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) qemu-kvm: -device isa-cirrus-vga: Parameter 'driver' expects device type

so this bug has been fixed.
Comment 6 Ludek Smid 2014-06-13 07:09:32 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.